## START: Set by rpmautospec
## (rpmautospec version 0.2.5)
%define autorelease(e:s:pb:) %{?-p:0.}%{lua:
    release_number = 1;
    base_release_number = tonumber(rpm.expand("%{?-b*}%{!?-b:1}"));
    print(release_number + base_release_number - 1);
}%{?-e:.%{-e*}}%{?-s:.%{-s*}}%{?dist}
## END: Set by rpmautospec

# NOTE(mhayden): Tests require docker + network access. Disabled for now.
%bcond_with     tests

%global         srcname     azure-mgmt-compute

Name:           python-%{srcname}
Version:        26.1.0
Release:        %autorelease
Summary:        Microsoft Azure Compute Client Library for Python
License:        MIT
URL:            https://pypi.org/project/%{srcname}/
Source0:        %{pypi_source %{srcname} %{version} zip}

BuildArch:      noarch

Epoch:          1

BuildRequires:  python3-devel

%if %{with tests}
BuildRequires:  python3-azure-sdk-tools
BuildRequires:  python3dist(azure-devtools)
BuildRequires:  python3dist(azure-mgmt-authorization)
BuildRequires:  python3dist(azure-mgmt-keyvault)
BuildRequires:  python3dist(azure-mgmt-resource)
BuildRequires:  python3dist(azure-mgmt-storage)
BuildRequires:  python3dist(azure-mgmt-network)
BuildRequires:  python3dist(pytest)
BuildRequires:  python3dist(pytest-aiohttp)
BuildRequires:  python3dist(python-dotenv)
%endif


%global _description %{expand:
Microsoft Azure Compute Client Library for Python}

%description %{_description}


%package -n python3-%{srcname}
Summary:        %{summary}
%description -n python3-%{srcname} %{_description}


%prep
%autosetup -n %{srcname}-%{version}


%generate_buildrequires
%pyproject_buildrequires -r


%build
%pyproject_wheel


%install
%pyproject_install
%pyproject_save_files azure


%if %{with tests}
%check
%pytest --disable-warnings
%endif


# LICENSE file is missing. PR made to fix:
# https://github.com/Azure/azure-sdk-for-python/pull/20160
%files -n python3-%{srcname} -f %{pyproject_files}
%doc README.md CHANGELOG.md


%changelog
* Thu Apr 07 2022 Major Hayden <major@mhtx.net> 1:26.1.0-1
- Update to 26.1.0

* Tue Mar 01 2022 Major Hayden <major@mhtx.net> 1:25.0.0-1
- Update to 25.0.0

* Fri Jan 21 2022 Fedora Release Engineering <releng@fedoraproject.org> 1:23.1.0-2
- Rebuilt for https://fedoraproject.org/wiki/Fedora_36_Mass_Rebuild

* Tue Nov 02 2021 Major Hayden <major@mhtx.net> 1:23.1.0-1
- Update to 23.1.0

* Tue Oct 12 2021 Major Hayden <major@mhtx.net> 1:23.0.0-1
- Update to 23.0.0

* Mon Sep 27 2021 Major Hayden <major@mhtx.net> 1:22.1.0-3
- Switch to rpmautospec

* Wed Sep 08 2021 Major Hayden <major@mhtx.net> 1:22.1.0-2
- Move obsoletes into subpackage

* Tue Sep 07 2021 Major Hayden <major@mhtx.net> 1:22.1.0-1
- Update to 22.1.0

* Mon Aug 09 2021 Major Hayden <major@mhtx.net> 1:22.0.0-1
- Update to 22.0.0

* Fri Jul 23 2021 Major Hayden <major@mhtx.net> 1:21.0.0-2
- Bump release number

* Fri Jul 23 2021 Major Hayden <major@mhtx.net> 1:21.0.0-1
- Downgrade to 21.0.0

* Fri Jul 23 2021 Major Hayden <major@mhtx.net> 22.0.0-1
- Revert "Update to 22.1.0"

* Thu Jul 22 2021 Major Hayden <major@mhtx.net> 22.1.0-1
- Update to 22.1.0

* Tue Jul 20 2021 Major Hayden <major@mhtx.net> 22.0.0-1
- Update to 22.0.0

* Sun Jul 04 2021 Major Hayden <major@mhtx.net> 21.0.0-1
- Initial import (#1971787)
